Bug 1549229 - IPv6 not disabled with OOO ODL container deployment
Summary: IPv6 not disabled with OOO ODL container deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-opendaylight
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Tim Rozet
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-26 18:48 UTC by Tim Rozet
Modified: 2018-10-18 07:20 UTC (History)
7 users (show)

Fixed In Version: puppet-opendaylight-7.0.0-0.20180216174117
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
N/A
Last Closed: 2018-06-27 13:45:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenDaylight Bug INTPAK-117 None None None 2018-02-26 18:59:42 UTC
OpenDaylight gerrit 68783 None None None 2018-02-26 19:48:35 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:46:28 UTC

Description Tim Rozet 2018-02-26 18:48:55 UTC
Description of problem:
In puppet-odl we allow for the passing of java options to the systemd service.  The default options include disabling the IPv6 stack in JVM.  However, in container deployment we do not use systemd.  Therefore when ODL starts it is listening on a IPv6.  We need to modify how we configure java options in puppet-opendaylight.

Comment 7 Itzik Brown 2018-04-03 07:45:34 UTC
Checked that the java process has:
-Djava.net.preferIPv4Stack=true

ODL isn't listening on IPv6

Comment 10 errata-xmlrpc 2018-06-27 13:45:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.